'\" t
.\"     Title: vfs_snapper
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/18/2019
.\"    Manual: System Administration tools
.\"    Source: Samba 4.10.11
.\"  Language: English
.\"
.TH "VFS_SNAPPER" "8" "12/18/2019" "Samba 4\&.10\&.11" "System Administration tools"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
vfs_snapper \- Expose snapshots managed by snapper as shadow\-copies
.SH "SYNOPSIS"
.HP \w'\ 'u
vfs objects = snapper
.SH "DESCRIPTION"
.PP
This VFS module is part of the
\fBsamba\fR(8)
suite\&.
.PP
The
vfs_snapper
VFS module exposes snapshots managed by snapper for use by Samba\&. This provides the ability for remote SMB clients to access shadow\-copies via Windows Explorer using the "previous versions" dialog\&.
.PP
Snapshots can also be created and remove remotely, using the File Server Remote VSS Protocol (FSRVP)\&. Snapshot creation and deletion requests are forwarded to snapper via DBus\&.
.PP
This module is stackable\&.
.SH "CONFIGURATION"
.PP
The underlying share path must have a corresponding snapper configuration file\&. The snapshot directory tree must allow access for relevant users\&.
.sp
.if n \{\
.RS 4
.\}
.nf
		\fI[share]\fR
		\m[blue]\fBvfs objects = snapper\fR\m[]
	
.fi
.if n \{\
.RE
.\}
.PP
For remote snapshot creation and deletion, Samba\*(Aqs FSRVP server must be configured in the [global] section:
.sp
.if n \{\
.RS 4
.\}
.nf
		\fI[global]\fR
		\m[blue]\fBrpc_daemon:fssd = fork\fR\m[]
		\m[blue]\fBregistry shares = yes\fR\m[]
		\m[blue]\fBinclude = registry\fR\m[]
	
.fi
.if n \{\
.RE
.\}
.SH "PERMISSIONS"
.PP
Snapper stores snapshots under a \&.snapshots subdirectory\&. This directory must permit traversal for any users wishing to access snapshots via the Windows Explorer previous versions dialog\&. By default, traversal is forbidden for all non\-root users\&. Additionally, users must be granted permission to list snapshots managed by snapper, via snapper\*(Aqs ALLOW_USERS or ALLOW_GROUPS options\&. Snapper can grant these users and groups \&.snapshots traversal access automatically via the SYNC_ACL option\&.
.PP
Remote snapshot creation and deletion is only permitted by Samba for Active Directory administrators, backup operators, or users explicitly granted SeBackupPrivilege\&. Snapper must also permit creation and deletion for the appropriate user, via snapper\*(Aqs ALLOW_USERS or ALLOW_GROUPS options\&.
.PP
The DiskShadow\&.exe FSRVP client initially authenticates as the Active Directory computer account\&. This account must therefore be granted the same permissions as the user account issuing the snapshot creation and deletion requests\&.
.SH "VERSION"
.PP
This man page is part of version 4\&.10\&.11 of the Samba suite\&.
.SH "AUTHOR"
.PP
The original Samba software and related utilities were created by Andrew Tridgell\&. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed\&.
